Bug 107811 - modifying battery charge monitor applet to display 2 batteries
modifying battery charge monitor applet to display 2 batteries
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 05:46 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 04:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-10-23 05:46:23 EDT
Description of problem:
When 2 batteries are inserted in a laptop the battery charge monitor applet
on gnome-panel continues to display only one battery with the mean charge
of both batteries.

It would be more logical to display 2 batteries on the panel when the laptop
has 2 batteries inserted. Each 'seperate battery display' monitoring only
the charge of 1 battery.

This should be done for apm and for acpi!

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Mark McLoughlin 2004-03-03 14:05:19 EST
This should work fine with ACPI enabled. This link gives some nice
instructions on how to enable ACPI:

http://fedora.artoo.net/faq/#Radeon9800

The upstream bug where support for two batteries was added is:

http://bugzilla.gnome.org/show_bug.cgi?id=89681
Comment 2 Need Real Name 2004-03-09 05:59:00 EST
Mark
This, http://bugzilla.gnome.org/show_bug.cgi?id=89681, is very old
stuff. We are in march 2004 now.
Kevin Vandersloot, presumably gnome-applets maintainer (in 2002?) 
states that the Hanno Boeck patch for the battstat applet to read
2 batteries has been applied.
If so it has not filtered down to the Fedora Core 1 and Fedora Core 2
test1 level. Gnome-applets-2.5.6-1 (FC2T1) still only recognizes 1
battery whether using APM or ACPI.
If the patch really works it would be very nice if the
RH/Fedora gnome-applets maintainer could also apply it (permanently).
Comment 3 Mark McLoughlin 2004-07-19 04:45:59 EDT
Ah, I see now. The battery applet shows the aggregate battery power
for all the batteries on the system, but you want an indicator for
each battery.

This is a feature request, rather than just a bug so I'm going to
forward it upstream:

  http://bugzilla.gnome.org/show_bug.cgi?id=147877

Note You need to log in before you can comment on or make changes to this bug.